<!doctype html>
<html
  lang="en"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:th="http://www.thymeleaf.org"
>
  <head>
    <meta charset="utf-8" />
    <title>Squash Test Management</title>
    <!--  Setting the href dynamically with thymeleaf to match with servlet context -->
    <base href="" th:href="@{/}" id="sqtm-app-base-href" />
    <link rel="icon" type="image/x-icon" href="favicon.ico" />
    <!--  Inject the active experimental features in global 'window' object -->
    <script th:inline="javascript">
      /*<![CDATA[*/
      (function () {
        const flags = /*[[${experimentalFeatureFlags}]]*/ [];
        // Set as readonly
        Object.defineProperty(window, 'sqtmExperimentalFeatureFlags', {
          value: flags,
          writable: false,
          enumerable: true,
          configurable: false,
        });
      })();
      /*]]>*/
    </script>
  </head>
  <body>
    <sqtm-app-root></sqtm-app-root>
  </body>
</html>
